Bug 670997 - Review Request: perl-Data-Types - Validate and convert data types
Summary: Review Request: perl-Data-Types - Validate and convert data types
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 670999
TreeView+ depends on / blocked
 
Reported: 2011-01-19 21:12 UTC by Michal Ingeli
Modified: 2011-02-15 21:30 UTC (History)
3 users (show)

Fixed In Version: perl-Data-Types-0.08-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-15 21:30:44 UTC
Type: ---
rc040203: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Michal Ingeli 2011-01-19 21:12:22 UTC
Spec URL: http://v3.sk/~xyzz/rpm/perl-Data-Types.spec
SRPM URL: http://v3.sk/~xyzz/rpm/perl-Data-Types-0.08-1.fc14.src.rpm

Description:
This module exports a number of functions that are useful for validating
and converting data types. It is intended for use in applications where
data types are more important than they typically are in Perl -- e.g.,
database applications.

Comment 1 Michal Ingeli 2011-01-19 21:13:38 UTC
Builds in koji [1], rpmlint silent.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=2732130

Comment 2 Ralf Corsepius 2011-01-20 05:47:39 UTC
One issue:

Requires:       perl(Test::Pod) >= 1.20
is wrong.

This package applies Test::Pod only as part of its testsuite.
Please remove this line.

Comment 3 Michal Ingeli 2011-01-20 14:09:01 UTC
(In reply to comment #2)

> Requires:       perl(Test::Pod) >= 1.20
> is wrong.
> 
> This package applies Test::Pod only as part of its testsuite.
> Please remove this line.

Thanks. Removed, updated.

spec: http://v3.sk/~xyzz/rpm/perl-Data-Types.spec
srpm: http://v3.sk/~xyzz/rpm/perl-Data-Types-0.08-2.fc14.src.rpm

Comment 4 Ralf Corsepius 2011-01-20 15:29:02 UTC
OK, package now is clean:

md5sum: bc11a94c234ad9592094b4f6770aa787  Data-Types-0.08.tar.gz

# rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings

APPROVED

Comment 5 Michal Ingeli 2011-01-21 08:34:46 UTC
Thanks for review.

Comment 6 Jason Tibbitts 2011-01-21 14:04:30 UTC
I see no SCM request to process....

Comment 7 Michal Ingeli 2011-01-21 14:24:19 UTC
New Package SCM Request
=======================
Package Name: perl-Data-Types
Short Description: Validate and convert data types
Owners: ksyz
Branches: f14 el6

Comment 8 Michal Ingeli 2011-01-21 14:27:00 UTC
(In reply to comment #6)
> I see no SCM request to process....

Sorry for that, completely forgot such obvious thing ...

Comment 9 Jason Tibbitts 2011-01-21 22:14:52 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-01-29 11:57:05 UTC
perl-Data-Types-0.08-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Data-Types-0.08-2.fc14

Comment 11 Fedora Update System 2011-01-29 17:26:02 UTC
perl-Data-Types-0.08-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Data-Types'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Data-Types-0.08-2.fc14

Comment 12 Fedora Update System 2011-02-15 21:30:39 UTC
perl-Data-Types-0.08-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.